レポートスタイルを更新
PUT /v1/report-style:レポートデザイン設定および/またはカスタム REPORT.css を1回のリクエストで更新します。
PUT /v1/report-style
レポートデザイン設定および/またはカスタム REPORT.css を1回のリクエストで更新します。設定は永続化前に正規化され、カスタム CSS はレポートスタイルシートの安全ポリシーに対して検証されます。
| メソッド | PUT |
| パス | /v1/report-style |
| 認証 | GATEWAY_AUTH_TOKEN が設定されている場合は Authorization: Bearer <token> が必要 |
| カテゴリ | theme |
リクエスト本文
{ "settings": { "preset": "bloomberg-intelligence", "density": "compact", "typeScale": "small", "pageWidth": "wide", "cornerStyle": "square", "accent": "blue" }, "custom_css": ".report-shell { letter-spacing: 0; }" }レスポンス本文
{ "settings": { "preset": "bloomberg-intelligence", "density": "compact", "typeScale": "small", "pageWidth": "wide", "cornerStyle": "square", "accent": "blue" }, "defaults": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "presets": [{ "id": "minara-fusion", "name": "Minara Fusion", "description": "..." }], "custom_css": ".report-shell { letter-spacing: 0; }" }